Package org.apache.sysds.runtime.util

# Class UniformPRNGenerator

java.lang.Object
org.apache.sysds.runtime.util.PRNGenerator
org.apache.sysds.runtime.util.UniformPRNGenerator

All Implemented Interfaces:
  `IPRNGenerator`

public class UniformPRNGenerator extends PRNGenerator

## Constructor Summary

Constructors
Constructor
Description
`UniformPRNGenerator()`
`UniformPRNGenerator(long seed)`

## Method Summary

Modifier and Type
Method
Description
`double`
`nextDouble()`
`void`
`setSeed(long seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UniformPRNGenerator

public UniformPRNGenerator()

### UniformPRNGenerator

public UniformPRNGenerator(long seed)

## Method Details

### setSeed

public void setSeed(long seed)

Specified by:
  `setSeed` in interface `IPRNGenerator`
Specified by:
  `setSeed` in class `PRNGenerator`

### nextDouble

public double nextDouble()

Specified by:
  `nextDouble` in class `PRNGenerator`